> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-reporting-service-guide/v20/installing-parallels-ras-reporting/system-requirements.md).

# System requirements

## **Operating system requirements**

Parallels RAS Reporting can be installed on a server running one of the following Windows Server versions:

* Windows Server 2025
* Windows Server 2022
* Windows Server 2019
* Windows Server 2016
* Windows Server 2012 R2

.NET Framework 3.5 and .NET Framework 4.5 or higher must be installed.

## **Microsoft SQL Server requirements**

Parallels RAS Reporting can be used with the following Microsoft SQL Server versions:

* Microsoft SQL Server 2022
* Microsoft SQL Server 2019
* Microsoft SQL Server 2017
* Microsoft SQL Server 2016

Beginning with RAS 17.1, SQL Server Reporting Services (SSRS) and the SQL Server database engine can be deployed on separate hosts.

## **Using Microsoft SQL Server 2017 and 2019**

Microsoft SQL Server 2017 and 2019 allow you to install the database engine and SQL Server Reporting Services (SSRS) on different hosts. Parallels RAS 17.1 (and newer) supports this deployment scenario and gives you the ability to use SQL Server Reporting Services and the SQL Server database engine installed on separate hosts.

## **Installation locations**

RAS Reporting must be installed on the same server where SQL Server Reporting Services are running. Please note that if you have SSRS and the database engine installed on different hosts, RAS Reporting must be installed where the SSRS are installed.

The following table contains RAS and SQL Server version compatibility information and locations where components necessary to use RAS Reporting can be installed:

| RAS Reporting version | SSRS version | SQL Server version | Installation locations                                                              |
| --------------------- | ------------ | ------------------ | ----------------------------------------------------------------------------------- |
| 19.0                  | 2022         | 2022               | <p>SSRS - same host as RAS Reporting</p><p>SQL Server - can be a different host</p> |
| 17.1, 18.0, 19.0      | 2019         | 2019               | <p>SSRS - same host as RAS Reporting</p><p>SQL Server - can be a different host</p> |
| 17.1, 18.0, 19.0      | 2017         | 2019               | <p>SSRS - same host as RAS Reporting</p><p>SQL Server - can be a different host</p> |
| 17.1, 18.0, 19.0      | 2017         | 2019               | <p>SSRS - same host as RAS Reporting</p><p>SQL Server - can be a different host</p> |
| 17.1, 18.0, 19.0      | 2017         | 2017               | <p>SSRS - same host as RAS Reporting</p><p>SQL Server - can be a different host</p> |
| 17.1, 18.0, 19.0      | 2017         | 2016               | <p>SSRS - same host as RAS Reporting</p><p>SQL Server - can be a different host</p> |

Microsoft SQL Server must be installed as a named instance (not default or unnamed instance), because an instance must have a name for RAS Reporting to work. You can specify an instance name when you install Microsoft SQL Server (or when you create a new SQL Server instance in a multi-instance scenario). For complete details, please read the **Install Microsoft SQL Server** section that follows this one.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-reporting-service-guide/v20/installing-parallels-ras-reporting/system-requirements.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
